local noice = {
  'folke/noice.nvim',
  dependencies = {
    'MunifTanjim/nui.nvim',
  },
  config = function()
    require('noice').setup({
      cmdline = {
        enable = true,
        format = {
          cmdline = { icon = ':', title = '' },
          search_down = { icon = '/', title = '' },
          search_up = { icon = '?', title = '' },
        }
      },
      messages = { enable = false },
      popmenu = { enable = false },
      notify = { enable = false },
      lsp = {
        progress = { enable = false },
        hover = { enable = false },
        signature = { enable = false },
        message = { enable = false },
      },
      signature = { enabled = false },
    })

    -- Override highlight groups
    vim.cmd.highlight('NoiceCmdlinePopupBorder', 'guibg=#080808')
    vim.cmd.highlight('link', 'NoiceCmdlinePopupBorder', 'NoiceCmdlinePopupBorderSearch')
  end
}

return {
  -- noice,
  { 'echasnovski/mini.comment',  opts = { options = { ignore_blank_line = true } } },
  { 'tummetott/unimpaired.nvim', opts = {} },
  { 'stevearc/dressing.nvim' },
  { 'kevinhwang91/nvim-bqf' },
}
